Import unsigned Foreign Currency Transfers in ISO20022 format

OpenAPI 1.1.0

Скачать исходную спецификацию

Варианты

  • Паблик

Операции API

POST /v1/iso20022/currency-transfer — Send currency transfer

This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/unsigned`](https://developer.raif.ru/docs/api/currency-transfers/unsigned-currency-transfer) instead.

{
  "tags": [
    "currencyTransfer"
  ],
  "summary": "Send currency transfer",
  "description": "This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/unsigned`](https://developer.raif.ru/docs/api/currency-transfers/unsigned-currency-transfer) instead.\n",
  "operationId": "currencyTransferPost",
  "parameters": [
    {
      "name": "Id-Token",
      "in": "header",
      "description": "Current user token",
      "required": true
    }
  ],
  "requestBody": {
    "content": {
      "application/xml": {
        "schema": {
          "type": "string",
          "description": "Currency transfer information in xml representation"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "Currency transfer task has been successfully created",
      "content": {
        "application/xml": {}
      }
    },
    "400": {
      "description": "Validation errors",
      "content": {
        "text/plain": {}
      }
    },
    "401": {
      "description": "Authorization error",
      "content": {
        "text/plain": {}
      }
    },
    "403": {
      "description": "An access is denied",
      "content": {
        "text/plain": {}
      }
    },
    "409": {
      "description": "The message id or payment id is duplicated",
      "content": {
        "text/plain": {}
      }
    },
    "500": {
      "description": "An unexpected error has occurred (server unavailable, etc.)",
      "content": {
        "text/plain": {}
      }
    }
  },
  "security": [
    {
      "BearerAuthentication": []
    }
  ]
}

GET /v1/iso20022/message/{msgId}/status/full — Detailed group payment status receipt in ISO20022 format

This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/{msgId}/status`](https://developer.raif.ru/docs/api/currency-transfers/currency-transfer-status) instead.

{
  "tags": [
    "getDetailedMessageInfo"
  ],
  "summary": "Detailed group payment status receipt in ISO20022 format",
  "description": "This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/{msgId}/status`](https://developer.raif.ru/docs/api/currency-transfers/currency-transfer-status) instead.\n",
  "operationId": "getDetailedMessageInfo",
  "parameters": [
    {
      "name": "msgId",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "Id-Token",
      "in": "header",
      "description": "Current user token",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Status has been successfully received",
      "content": {
        "application/xml": {}
      }
    },
    "401": {
      "description": "Authorization error",
      "content": {
        "text/plain": {}
      }
    },
    "403": {
      "description": "An access is denied",
      "content": {
        "text/plain": {}
      }
    },
    "404": {
      "description": "Document not found",
      "content": {
        "text/plain": {}
      }
    },
    "500": {
      "description": "An unexpected error has occurred (server unavailable, etc.)",
      "content": {
        "text/plain": {}
      }
    }
  },
  "security": [
    {
      "BearerAuthentication": []
    }
  ]
}

GET /v1/iso20022/message/{msgId}/payment/{pmtInfId}/status — Status receipt in ISO20022 format for the payment within the payment message

This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/{msgId}/payments/{pmtInfId}/status`](https://developer.raif.ru/docs/api/currency-transfers/currency-transfer-payment-status) instead.

{
  "tags": [
    "getPaymentInfo"
  ],
  "summary": "Status receipt in ISO20022 format for the payment within the payment message",
  "description": "This method is deprecated. Use the [new `/foreign-trade/v2/currency-transfers/iso20022/{msgId}/payments/{pmtInfId}/status`](https://developer.raif.ru/docs/api/currency-transfers/currency-transfer-payment-status) instead.\n",
  "operationId": "getPaymentInfo",
  "parameters": [
    {
      "name": "msgId",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "pmtInfId",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "Id-Token",
      "in": "header",
      "description": "Current user token",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Status has been successfully received",
      "content": {
        "application/xml": {}
      }
    },
    "401": {
      "description": "Authorization error",
      "content": {
        "text/plain": {}
      }
    },
    "403": {
      "description": "An access is denied",
      "content": {
        "text/plain": {}
      }
    },
    "404": {
      "description": "Document not found",
      "content": {
        "text/plain": {}
      }
    },
    "500": {
      "description": "An unexpected error has occurred (server unavailable, etc.)",
      "content": {
        "text/plain": {}
      }
    }
  },
  "security": [
    {
      "BearerAuthentication": []
    }
  ]
}

Схемы и примеры

{
  "securitySchemes": {
    "BearerAuthentication": {
      "type": "http",
      "scheme": "bearer",
      "bearerFormat": "JWT"
    }
  }
}